image: python:3.10

stages:
    -   release

.install-poetry: &install-poetry
  before_script:
    - curl -sSL https://install.python-poetry.org | python3 -
    - export PATH="/root/.local/bin:$PATH"
    - poetry config repositories.pypi https://upload.pypi.org/legacy/
    - echo $MOSAIK_PYPI_USER
    - poetry config -- http-basic.pypi $MOSAIK_PYPI_USER $MOSAIK_PYPI_PASSWORD

release-job:
  <<: *install-poetry
  artifacts:
    paths:
      - dist/*.whl
  script:
    - poetry build
    - poetry publish
  stage: release
  only:
    - tags
